Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.json.transformers
Class AbstractJsonTransformer

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.transformer.AbstractMessageTransformer
              org.mule.module.json.transformers.AbstractJsonTransformer

All Implemented Interfaces:
  MuleContextAware, MuleContextNotificationListener<MuleContextNotification>, ServerNotificationListener<MuleContextNotification>, Disposable, Initialisable, NamedObject, MessageProcessor, DiscoverableTransformer, MessageTransformer, Transformer, EndpointAware

Direct Known Subclasses:
  JsonToObject, ObjectToJson

    public abstract class AbstractJsonTransformer

extends AbstractMessageTransformer
implements DiscoverableTransformer

TODO

Field Summary
`protected int` | `weighting`

Fields inherited from class org.mule.transformer.AbstractTransformer
`encoding, endpoint, logger, mimeType, MULE_MESSAGE_DATA_TYPE, muleContext, name, returnType, sourceTypes`

Fields inherited from interface org.mule.api.transformer.DiscoverableTransformer
`DEFAULT_PRIORITY_WEIGHTING, MAX_PRIORITY_WEIGHTING, MIN_PRIORITY_WEIGHTING`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`AbstractJsonTransformer()`

Method Summary
`org.codehaus.jackson.map.ObjectMapper` | `getMapper()`
`Map<Class<?>,Class<?>>` | `getMixins()`
`int` | `getPriorityWeighting()` If 2 or more discoverable transformers are equal, this value can be used to select the correct one
`void` | `initialise()` Template method where deriving classes can do any initialisation after the properties have been set on this transformer
`void` | `setMapper(org.codehaus.jackson.map.ObjectMapper mapper)`
`void` | `setMixins(Map<Class<?>,Class<?>> mixins)`
`void` | `setPriorityWeighting(int weighting)` If 2 or more discoverable transformers are equal, this value can be used to select the correct one

Methods inherited from class org.mule.transformer.AbstractMessageTransformer
`checkReturnClass, doTransform, isSourceDataTypeSupported, transform, transform, transform, transformMessage`

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, dispose, generateTransformerName, getEncoding, getEncoding, getEndpoint, getMimeType, getName, getReturnClass, getReturnDataType, getSourceDataTypes, getSourceTypes, isAcceptNull, isAllowNullReturn, isConsumed, isIgnoreBadInput, isSourceDataTypeSupported, isSourceTypeSupported, isSourceTypeSupported, onNotification, process, registerSourceType, registerSourceType, setAllowNullReturn, setEncoding, setEndpoint, setIgnoreBadInput, setMimeType, setMuleContext, setName, setReturnClass, setReturnDataType, toString, transform, unregisterSourceType, unregisterSourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transformer.Transformer
`getEncoding, getEndpoint, getMimeType, getReturnClass, getReturnDataType, getSourceDataTypes, getSourceTypes, isAcceptNull, isIgnoreBadInput, isSourceDataTypeSupported, isSourceTypeSupported, setReturnClass, setReturnDataType, transform`

Methods inherited from interface org.mule.api.processor.MessageProcessor
`process`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Methods inherited from interface org.mule.api.NamedObject
`getName, setName`

Methods inherited from interface org.mule.api.context.MuleContextAware
`setMuleContext`

Methods inherited from interface org.mule.endpoint.EndpointAware
`setEndpoint`

Field Detail

### weighting

    protected int weighting

Constructor Detail

### AbstractJsonTransformer

    public AbstractJsonTransformer()

Method Detail

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from class: `AbstractTransformer`
  Template method where deriving classes can do any initialisation after the properties have been set on this transformer

  Specified by:
    `initialise` in interface `Initialisable`
  Overrides:
    `initialise` in class `AbstractTransformer`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### getMapper

    public org.codehaus.jackson.map.ObjectMapper getMapper()

### setMapper

    public void setMapper(org.codehaus.jackson.map.ObjectMapper mapper)

### getPriorityWeighting

    public int getPriorityWeighting()

  Description copied from interface: `DiscoverableTransformer`
  If 2 or more discoverable transformers are equal, this value can be used to select the correct one

  Specified by:
    `getPriorityWeighting` in interface `DiscoverableTransformer`
  Returns:
    the priority weighting for this transformer. This is a value between `DiscoverableTransformer.MIN_PRIORITY_WEIGHTING` and `DiscoverableTransformer.MAX_PRIORITY_WEIGHTING`.

### setPriorityWeighting

    public void setPriorityWeighting(int weighting)

  Description copied from interface: `DiscoverableTransformer`
  If 2 or more discoverable transformers are equal, this value can be used to select the correct one

  Specified by:
    `setPriorityWeighting` in interface `DiscoverableTransformer`
  Parameters:
    `weighting` - the priority weighting for this transformer. This is a value between `DiscoverableTransformer.MIN_PRIORITY_WEIGHTING` and `DiscoverableTransformer.MAX_PRIORITY_WEIGHTING`.

### getMixins

    public Map<Class<?>,Class<?>> getMixins()

### setMixins

    public void setMixins(Map<Class<?>,Class<?>> mixins)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.